Subject: bug#22981: guix-edit does not find git checkout directory

From: Alex Kost <[email-masked]>
Date: Mon, 14 Mar 2016 11:02:51 +0300

Ludovic Courtès (2016-03-14 01:01 +0300) wrote:

> myglc2 <[email-masked]> skribis:
>
>> Guix is "stateful" because, to use a git checkout, I have to set "state"
>> variables like ...
>>
>>     (setq guix-directory "/home/glc/src/guix")
>>
>>     (let ((dir "~/dev/guix/emacs"))
>>       (add-to-list 'load-path dir)
>>       (setq guix-load-path dir)
>>       (require 'guix-init nil t))
>>
>>     '(safe-local-variable-values
>>        (quote
>>         ((bug-reference-bug-regexp . "<https?://\\(debbugs\\|bugs\\)\\.gnu\\.org/\\([0-9]+\\)>")))))
>>     (custom-set-faces
>>
>>     /home/glc/.config/guix/latest’ -> ‘../../src/guix'
>>     /root/.config/guix/latest’ -> ‘/home/glc/src/GUI’
>>
>>
>> Guix would be less stateful (AKA more "stateless") if instead I could
>> put something like ...
>>
>>     (guix
>>       (#:use-git #t)
>>       (#:git-directory:"~/src/guix"))
>
> It seems to me that it’s not a question of “statefulness”, but rather a
> question of how much configuration is needed to have guix.el use the
> Guix that you want.

I agree.  If someone want to use a "non-installed" software, (s)he has
to do some additional configuration.  I don't see how to reduce such
a configuration to set up emacs code from a guix git checkout.

-- 
Alex